Package org.eclipse.cdt.core.browser

# Class TypeInfo

java.lang.Object
org.eclipse.cdt.core.browser.TypeInfo

All Implemented Interfaces:
  `ITypeInfo`

Direct Known Subclasses:
  `UnknownTypeInfo`

public class TypeInfo extends Object implements ITypeInfo

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.browser.ITypeInfo

`KNOWN_TYPES`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TypeInfo()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addDerivedReference(ITypeReference location)`
Deprecated.
`void`
`addReference(ITypeReference location)`
Deprecated.
`boolean`
`canSubstituteFor(ITypeInfo info)`
Deprecated.
`int`
`compareTo(Object obj)`
Deprecated.
`boolean`
`encloses(ITypeInfo info)`
Deprecated.
`boolean`
`exists()`
Deprecated.
`int`
`getCElementType()`
Deprecated.
`ITypeReference[]`
`getDerivedReferences()`
Deprecated.
`ITypeInfo[]`
`getEnclosedTypes()`
Deprecated.
`ITypeInfo[]`
`getEnclosedTypes(int[] kinds)`
Deprecated.
`ITypeInfo`
`getEnclosingNamespace(boolean includeGlobalNamespace)`
Deprecated.
`ICProject`
`getEnclosingProject()`
Deprecated.
`ITypeInfo`
`getEnclosingType()`
Deprecated.
`ITypeInfo`
`getEnclosingType(int[] kinds)`
Deprecated.
`String`
`getName()`
Deprecated.
`IQualifiedTypeName`
`getQualifiedTypeName()`
Deprecated.
`ITypeReference[]`
`getReferences()`
Deprecated.
`ITypeReference`
`getResolvedReference()`
Deprecated.
`ITypeInfo`
`getRootNamespace(boolean includeGlobalNamespace)`
Deprecated.
`ITypeInfo[]`
`getSubTypes()`
Deprecated.
`ASTAccessVisibility`
`getSuperTypeAccess(ITypeInfo superType)`
Deprecated.
`ITypeInfo[]`
`getSuperTypes()`
Deprecated.
`boolean`
`hasEnclosedTypes()`
Deprecated.
`boolean`
`hasSubTypes()`
Deprecated.
`boolean`
`hasSuperTypes()`
Deprecated.
`boolean`
`isClass()`
Deprecated.
`boolean`
`isEnclosed(ITypeInfo info)`
Deprecated.
`boolean`
`isEnclosed(ITypeSearchScope scope)`
Deprecated.
`boolean`
`isEnclosedType()`
Deprecated.
`boolean`
`isEnclosingType()`
Deprecated.
`protected boolean`
`isExactMatch(ITypeInfo info)`
`boolean`
`isReferenced()`
Deprecated.
`boolean`
`isReferenced(ITypeSearchScope scope)`
Deprecated.
`boolean`
`isUndefinedType()`
Deprecated.
`static boolean`
`isValidType(int type)`
Deprecated.
`void`
`setCElementType(int type)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TypeInfo

protected TypeInfo()

Since:
  5.1

## Method Details

### addReference

@Deprecated public void addReference(ITypeReference location)
Deprecated.

Specified by:
  `addReference` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### getReferences

@Deprecated public ITypeReference[] getReferences()
Deprecated.
Description copied from interface: `ITypeInfo`
Returns the originating locations where this type was declared.

Specified by:
  `getReferences` in interface `ITypeInfo`
Returns:
  all known source references, or an empty array if none found.
Restriction:
  This method is not intended to be referenced by clients.

### getResolvedReference

@Deprecated public ITypeReference getResolvedReference()
Deprecated.
Description copied from interface: `ITypeInfo`
Returns the real location where type was declared.

Specified by:
  `getResolvedReference` in interface `ITypeInfo`
Returns:
  the parsed source reference (with offset and length), or `null` if not found.
Restriction:
  This method is not intended to be referenced by clients.

### isReferenced

@Deprecated public boolean isReferenced()
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### isReferenced

@Deprecated public boolean isReferenced(ITypeSearchScope scope)
Deprecated.

Specified by:
  `isReferenced` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### isUndefinedType

@Deprecated public boolean isUndefinedType()
Deprecated.

Specified by:
  `isUndefinedType` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### canSubstituteFor

@Deprecated public boolean canSubstituteFor(ITypeInfo info)
Deprecated.

Specified by:
  `canSubstituteFor` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### isExactMatch

protected boolean isExactMatch(ITypeInfo info)

### exists

@Deprecated public boolean exists()
Deprecated.

Specified by:
  `exists` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### getCElementType

@Deprecated public int getCElementType()
Deprecated.
Description copied from interface: `ITypeInfo`
Returns the CElement type.

Specified by:
  `getCElementType` in interface `ITypeInfo`
Returns:
  ICElement.C_NAMESPACE, C_CLASS, C_STRUCT, C_UNION, C_ENUMERATION, or C_TYPEDEF, or zero if unknown type.
Restriction:
  This method is not intended to be referenced by clients.

### setCElementType

@Deprecated public void setCElementType(int type)
Deprecated.

Specified by:
  `setCElementType` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### getQualifiedTypeName

@Deprecated public IQualifiedTypeName getQualifiedTypeName()
Deprecated.
Description copied from interface: `ITypeInfo`
Returns the qualified type name.

Specified by:
  `getQualifiedTypeName` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### getName

@Deprecated public String getName()
Deprecated.
Description copied from interface: `ITypeInfo`
Returns the type name.

Specified by:
  `getName` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### isEnclosedType

@Deprecated public boolean isEnclosedType()
Deprecated.

Specified by:
  `isEnclosedType` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### getEnclosingType

@Deprecated public ITypeInfo getEnclosingType(int[] kinds)
Deprecated.

Specified by:
  `getEnclosingType` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### getEnclosingType

@Deprecated public ITypeInfo getEnclosingType()
Deprecated.

Specified by:
  `getEnclosingType` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### getEnclosingNamespace

@Deprecated public ITypeInfo getEnclosingNamespace(boolean includeGlobalNamespace)
Deprecated.

Specified by:
  `getEnclosingNamespace` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### getRootNamespace

@Deprecated public ITypeInfo getRootNamespace(boolean includeGlobalNamespace)
Deprecated.

Specified by:
  `getRootNamespace` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### isEnclosingType

@Deprecated public boolean isEnclosingType()
Deprecated.

Specified by:
  `isEnclosingType` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### encloses

@Deprecated public boolean encloses(ITypeInfo info)
Deprecated.

Specified by:
  `encloses` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### isEnclosed

@Deprecated public boolean isEnclosed(ITypeInfo info)
Deprecated.

Specified by:
  `isEnclosed` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### hasEnclosedTypes

@Deprecated public boolean hasEnclosedTypes()
Deprecated.

Specified by:
  `hasEnclosedTypes` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### getEnclosedTypes

@Deprecated public ITypeInfo[] getEnclosedTypes()
Deprecated.

Specified by:
  `getEnclosedTypes` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### getEnclosedTypes

@Deprecated public ITypeInfo[] getEnclosedTypes(int[] kinds)
Deprecated.

Specified by:
  `getEnclosedTypes` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### getEnclosingProject

@Deprecated public ICProject getEnclosingProject()
Deprecated.
Description copied from interface: `ITypeInfo`
Returns the enclosing project.

Specified by:
  `getEnclosingProject` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### isEnclosed

@Deprecated public boolean isEnclosed(ITypeSearchScope scope)
Deprecated.

Specified by:
  `isEnclosed` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### isValidType

@Deprecated public static boolean isValidType(int type)
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.

### addDerivedReference

@Deprecated public void addDerivedReference(ITypeReference location)
Deprecated.

Specified by:
  `addDerivedReference` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### getDerivedReferences

@Deprecated public ITypeReference[] getDerivedReferences()
Deprecated.

Specified by:
  `getDerivedReferences` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### hasSubTypes

@Deprecated public boolean hasSubTypes()
Deprecated.

Specified by:
  `hasSubTypes` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### getSubTypes

@Deprecated public ITypeInfo[] getSubTypes()
Deprecated.

Specified by:
  `getSubTypes` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### hasSuperTypes

@Deprecated public boolean hasSuperTypes()
Deprecated.

Specified by:
  `hasSuperTypes` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### getSuperTypes

@Deprecated public ITypeInfo[] getSuperTypes()
Deprecated.

Specified by:
  `getSuperTypes` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### getSuperTypeAccess

@Deprecated public ASTAccessVisibility getSuperTypeAccess(ITypeInfo superType)
Deprecated.

Specified by:
  `getSuperTypeAccess` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### isClass

@Deprecated public boolean isClass()
Deprecated.

Specified by:
  `isClass` in interface `ITypeInfo`
Restriction:
  This method is not intended to be referenced by clients.

### compareTo

@Deprecated public int compareTo(Object obj)
Deprecated.

Restriction:
  This method is not intended to be referenced by clients.